Bug 179455 - CVE-2006-0481 libpng heap based buffer overflow
CVE-2006-0481 libpng heap based buffer overflow
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libpng (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-01-31 10:42 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0205
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-13 10:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch extracted from the upstream 1.2.8 release (4.08 KB, patch)
2006-01-31 10:44 EST, Josh Bressers
no flags Details | Diff
Testcase (2.62 KB, application/octet-stream)
2006-01-31 10:45 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-01-31 10:42:24 EST
libpng heap based buffer overflow

There is a heap based buffer overflow in libpng 1.2.7 only. Upstream
has a note with the release for 1.2.8 that fixes a crash when a
program tries to strip alpha channels out of the image (calling the
png_set_strip_alpha() function during libpng initialization).

It should be noted that this particular libpng feature is only used by
tetex and xemacs within RHEL4, limiting the potential damage the
overflow can cause.
Comment 1 Josh Bressers 2006-01-31 10:44:43 EST
Created attachment 123913 [details]
Patch extracted from the upstream 1.2.8 release
Comment 2 Josh Bressers 2006-01-31 10:45:19 EST
Created attachment 123914 [details]
Comment 3 Matthias Clasen 2006-02-03 13:04:26 EST
I have built libpng-1.2.7-1.el4.2 with the patch, and converted your testcase in
the RHTS test /desktop/libpng/CVE2006-0481, but it doesn't work in RHTS for some
reason. Local testing yields the expected results.
Comment 7 Red Hat Bugzilla 2006-02-13 10:30:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.